%define name ocaml-alsa
%define version 0.2.1
%define release %mkrel 3

Summary:        OCaml bindings for the ALSA library
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        http://downloads.sourceforge.net/project/savonet/ocaml-alsa/%{version}/ocaml-alsa-%{version}.tar.gz
License:        GPLv2
Group:          Development/Other
Url:            http://savonet.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libalsa-devel
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib


%description
This OCaml library interfaces the ALSA library libasound to access audio
devices.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       libalsa-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/alsa
make install


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/alsa
%{_libdir}/ocaml/alsa/META
%{_libdir}/ocaml/alsa/*.cma
%{_libdir}/ocaml/alsa/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%defattr(-,root,root)
%doc doc/html
%{_libdir}/ocaml/alsa/*.a
%{_libdir}/ocaml/alsa/*.cmxa
%{_libdir}/ocaml/alsa/*.cmx
%{_libdir}/ocaml/alsa/*.mli




%changelog

* Thu Nov 17 2011 malo <malo> 0.2.1-3.mga2
+ Revision: 168360
- missing Requires on libalsa-devel

* Sun Oct 02 2011 shlomif <shlomif> 0.2.1-2.mga2
+ Revision: 151028
- Rebuild for the new ocaml - thanks to Malo

* Sun Sep 25 2011 shlomif <shlomif> 0.2.1-1.mga2
+ Revision: 147770
- imported package ocaml-alsa

